<!-- Before opening an issue here make sure, that you have read the template completely through -->

When asking general "how to" questions:

- Please do not open an issue here!
- Instead, ask for help on [StackOverflow](stackoverflow.com/questions/tagged/materialize) or in our [Gitter](https://gitter.im/materializecss/materialize) channel.

- Read the [CONTRIBUTING document](https://github.com/materializecss/materialize/blob/master/CONTRIBUTING.md) Any issues that are violating the contributing guidelines, will be closed!
- [Search for duplicate or closed issues](https://github.com/materializecss/materialize/issues?utf8=%E2%9C%93&q=is%3Aissue) and make sure to go through our [labels](https://github.com/materializecss/materialize/labels).
- Include a [reduced test case](https://css-tricks.com/reduced-test-cases/) in the form of a Codepen when reporting bugs unless it is not applicable, otherwise your issue will be closed.

<!--- Provide a general summary of the issue in the Title above. -->

## Expected Behavior
<!--- If you're describing a bug, tell us what should happen. -->

<!--- If you're suggesting a change/improvement, tell us how it should work and post a link to the corresponding [material design specification](https://material.io/guidelines/components/). -->

## Current Behavior
<!--- If describing a bug, tell us what happens instead of the expected behavior. -->

<!--- If suggesting a change/improvement, explain the difference from current behavior. -->

## Possible Solution
<!--- Not obligatory, but suggest a fix/reason for the bug, -->
<!--- or ideas how to implement the addition or change. -->

## Steps to Reproduce (for bugs)
<!--- Provide a link to a live example, or an unambiguous set of steps to reproduce this bug. -->
<!--- Include code to reproduce, if relevant. -->
1.
2.

## Context
<!--- How has this issue affected you? What are you trying to accomplish? -->
<!--- Providing context helps us come up with a solution that is most useful in the real world. -->

## Your Environment
<!--- Include as many relevant details about the environment you experienced the bug in. -->
<!--- Without a version number, your issue will be closed. -->
* Version used:
* Browser Name and version:
* Operating System and version (desktop or mobile):
* Link to your project (if appropriate):
